MT5: Strategietester benutz alte (*.ex5) binary!

 

Hallo,

bei der aktuellen Entwicklung eines EA habe ich festgestellt, dass der Strategietester nicht immer die aktuellste compilierte binary verwendet!.

A) ich drücke im Editor auf den "kompilieren" button, und kann obwohl das kompilieren noch nicht abgeschlossen ist, den Strategietest starten. Das hat den Nebeneffekt, dass ich nie genau weis, wann der Strategietester den letzten (aktuellen build) verwendet!.

B) nach meinem Verständnis darf das Starten eines Strategietests nicht möglich sein wenn der compile noch nicht abgeschlossen ist!. (was im übrigen auch funktioniert wenn der sourcecode einen Fehler enthält).

Bitte Prüfen / fixen.


Hinweis: MT5 ist auf dem aktuellen build 2715


Danke. 

Wie teste ich einen Handelsroboter vor dem Kauf
Wie teste ich einen Handelsroboter vor dem Kauf
  • www.mql5.com
Der Kauf eines Handelsroboters am MQL5 Markt hat bestimmte Vorzüge gegenüber ähnlichen Möglichkeiten - ein automatisiertes System kann direkt im MetaTrader5-Terminal getestet werden. Vor dem Kauf kann und soll ein Expert Advisor sorgfältig in allen ungünstigen Modi im eingebauten Strategietester ausgeführt werden, um das System komplett zu...
 

Dieses Verhalten kenne ich schon seit ...2300 ...2000 ...


Mehr kann ich dazu auch nicht sagen.

 
Christian:

Dieses Verhalten kenne ich schon seit ...2300 ...2000 ...


Mehr kann ich dazu auch nicht sagen.

4info:

Hallo,

bei der aktuellen Entwicklung eines EA habe ich festgestellt, dass der Strategietester nicht immer die aktuellste compilierte binary verwendet!.

A) ich drücke im Editor auf den "kompilieren" button, und kann obwohl das kompilieren noch nicht abgeschlossen ist, den Strategietest starten. Das hat den Nebeneffekt, dass ich nie genau weis, wann der Strategietester den letzten (aktuellen build) verwendet!.

B) nach meinem Verständnis darf das Starten eines Strategietests nicht möglich sein wenn der compile noch nicht abgeschlossen ist!. (was im übrigen auch funktioniert wenn der sourcecode einen Fehler enthält).

Bitte Prüfen / fixen.


Hinweis: MT5 ist auf dem aktuellen build 2715


Danke. 

ja die alte Leier, das wird sich nie ändern

Grund der Beschwerde: